Can't see references on historic revisions of items on Wikidata
Closed, ResolvedPublic

Description

You can't expand the revisions on a historic revision of an item on Wikidata like you can on the most current one. This means users can't see how a statement was referenced before.

For example https://www.wikidata.org/w/index.php?title=Q43920918&oldid=599708910

looks like this:

compared to the most recent revision:

I saw this on Chrome Version 62.0.3202.94 (Official Build) (64-bit) (linux) in incognito mode when not logged in.

Tarrow created this task.Dec 13 2017, 12:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 13 2017, 12:28 PM
Tarrow updated the task description. (Show Details)Dec 13 2017, 12:32 PM
thiemowmde triaged this task as High priority.
thiemowmde moved this task from incoming to consider for next sprint on the Wikidata board.

I believe this is a fallout from a recent MediaWiki core change that is closely related to T181807. Thanks a lot for reporting this. This indeed needs fixing.

I just realized this is exactly the same as T129836. I assume the issue came back because of an other reason, that's why I suggest to leave this separate ticket open.

We picked this for Wikidata-Sprint-2017-12-20, but only for investigation. If a fix is trivial it will be submitted right away. Otherwise the result of the investigation will go as a task to the next sprint.

I was bold and made a temporary workaround in Common.css.

Thanks! This CSS workaround gives us time to figure out what happened. Thank you especially for leaving this comment here, this is very helpful.

thiemowmde moved this task from Backlog to Doing on the User-thiemowmde board.Dec 29 2017, 9:19 AM
thiemowmde moved this task from Backlog to In Progress on the Wikidata-Sprint-2017-12-20 board.

Change 400684 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Wikibase@master] Properly load collapsible sitelinks CSS exactly when needed

https://gerrit.wikimedia.org/r/400684

Change 400685 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Wikibase@master] Do not collapse references on diffs/old revisions

https://gerrit.wikimedia.org/r/400685

thiemowmde moved this task from In Progress to Review on the Wikidata-Sprint-2017-12-20 board.
thiemowmde moved this task from consider for next sprint to in progress on the Wikidata board.

Change 400686 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/WikibaseMediaInfo@master] Remove default "true" from MissingMediaInfoHandler

https://gerrit.wikimedia.org/r/400686

Change 400684 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Properly load collapsible sitelinks CSS exactly when needed

https://gerrit.wikimedia.org/r/400684

Change 400685 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Do not collapse references on diffs/old revisions

https://gerrit.wikimedia.org/r/400685

Change 400686 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Remove default "true" from MissingMediaInfoHandler

https://gerrit.wikimedia.org/r/400686

WMDE-leszek closed this task as Resolved.Jan 2 2018, 2:29 PM

@matej_suchanek can you remove the work-around after tomorrow's deployment?

Change 401695 had a related patch set uploaded (by WMDE-leszek; owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Wikibase@master] Show references on the diff page

https://gerrit.wikimedia.org/r/401695

Change 401695 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Show references on the diff page

https://gerrit.wikimedia.org/r/401695

Change 401699 had a related patch set uploaded (by WMDE-leszek; owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Wikibase@master] Remove editable flag in EntityParserOutputGenerator

https://gerrit.wikimedia.org/r/401699

Change 401699 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Remove editable flag in EntityParserOutputGenerator

https://gerrit.wikimedia.org/r/401699

@matej_suchanek can you remove the work-around after tomorrow's deployment?

The fix seems to have been rolled back, disabling the workaround doesn't fix the problem.

Jep you're right. It had to be reverted. So let's keep the hack until the fix is back in :)

matej_suchanek reopened this task as Open.Jan 13 2018, 2:11 PM

Still not working (workaround necessary).

Because it's not live, the train got rollbacked.

thiemowmde closed this task as Resolved.Jan 31 2018, 5:29 PM
thiemowmde removed a project: User-thiemowmde.

Please do not reopen issues that are solved in the code just because the code is not yet rolled out to the live website. I understand that you want to track if you can remove the local workaround. That might need a separate ticket.